Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class MessageManager2

    java.lang.Object
      hr.tis.mgw.client.common.AbstractManager2
          hr.tis.mgw.client.message.MessageManager2

Direct Known Subclasses:
  MessageManager2Impl

public abstract class MessageManager2
extends AbstractManager2

Message sending and receiving interface.

Field Summary
`static java.lang.String` | `REG_ID_ANY`

Constructor Summary
`MessageManager2()`

Method Summary
`abstract void` | `cancelMessageListenerRegistration(java.lang.String regId)` Cancel message listener defined with registration identifier.
`abstract DeliveryStatusInfo[]` | `getMessageDeliveryStatus(MessageId mid)` Retrieve message delivery status information.
`abstract DeliveryStatusInfo[]` | `getMessageDeliveryStatus(MessageId mid, java.lang.String username, java.lang.String password)` Retrieve message delivery status information.
`abstract ReceivedMms[]` | `receiveMmsMessages(java.lang.String regId, Priority priority)` Receive MMS messages and delivery reports.
`abstract ReceivedMms[]` | `receiveMmsMessages(java.lang.String regId, Priority priority, java.lang.String username, java.lang.String password)` Retrieve MMS messages.
`abstract ReceivedSms[]` | `receiveSmsMessages(java.lang.String regId)` Retrieve SMS messages and delivery reports.
`abstract ReceivedSms[]` | `receiveSmsMessages(java.lang.String regId, java.lang.String username, java.lang.String password)` Retrieve SMS messages.
`abstract void` | `registerMessageListener(java.lang.String regId, MessageListener2 listener)` Register message listener defined with registration identifier to asynchronously accept incoming messages.
`abstract void` | `registerMessageListener(java.lang.String regId, MessageListener2 listener, java.lang.String username, java.lang.String password)` Register message listener defined with registration identifier to asynchronously accept incoming messages.
`abstract MessageId` | `sendMessage(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging)` Send message from originator to array of destinations.
`abstract MessageId` | `sendMessage(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging, java.lang.String username, java.lang.String password)` Send message from originator to array of destinations.
`abstract SendResult` | `sendMessageWithResult(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging)` Send message from originator to array of destinations.
`abstract SendResult` | `sendMessageWithResult(Message message, java.lang.String[] dest, java.lang.String orig, Priority priority, Charging charging, java.lang.String username, java.lang.String password)` Send message from originator to array of destinations.

Methods inherited from class hr.tis.mgw.client.common.AbstractManager2
`getPassword, getServerURL, getTimeout, getUsername, isThreadedListener, setPassword, setServerURL, setThreadedListener, setTimeout, setUsername`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REG_ID_ANY

    public static final java.lang.String REG_ID_ANY

Constructor Detail

### MessageManager2

    public MessageManager2()

Method Detail

### sendMessage

    public abstract MessageId sendMessage(Message message,
                                          java.lang.String[] dest,
                                          java.lang.String orig,
                                          Priority priority,
                                          Charging charging)
                                   throws GatewayException

  Send message from originator to array of destinations. Use default username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
  Returns:
    MessageId
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessage

    public abstract MessageId sendMessage(Message message,
                                          java.lang.String[] dest,
                                          java.lang.String orig,
                                          Priority priority,
                                          Charging charging,
                                          java.lang.String username,
                                          java.lang.String password)
                                   throws GatewayException

  Send message from originator to array of destinations. Specify username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    MessageId
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessageWithResult

    public abstract SendResult sendMessageWithResult(Message message,
                                                     java.lang.String[] dest,
                                                     java.lang.String orig,
                                                     Priority priority,
                                                     Charging charging)
                                              throws GatewayException

  Send message from originator to array of destinations. Use default username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  This method uses a ParlayX extension interface and might not be available with some operators.

  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
  Returns:
    SendResult
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `SendResult`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### sendMessageWithResult

    public abstract SendResult sendMessageWithResult(Message message,
                                                     java.lang.String[] dest,
                                                     java.lang.String orig,
                                                     Priority priority,
                                                     Charging charging,
                                                     java.lang.String username,
                                                     java.lang.String password)
                                              throws GatewayException

  Send message from originator to array of destinations. Specify username and password for authentication. `Priority` is used only for `MmsMessage` and ignored for all other message types. Method returns `MessageId` object which can be used to obtain message delivery information. To link charging with message sending use charging object returned after reserving currency. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  This method uses a ParlayX extension interface and might not be available with some operators.

  Parameters:
    `message` - Message object to send
    `dest` - Destination array addresses
    `orig` - Originator address
    `priority` - Priority of message
    `charging` - Charging
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    SendResult
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `SendResult`, `Priority`, `ChargingManager2`, `Charging`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### getMessageDeliveryStatus

    public abstract DeliveryStatusInfo[] getMessageDeliveryStatus(MessageId mid)
                                                           throws GatewayException

  Retrieve message delivery status information. Use default username and password for authentication. Use `MessageId` obtained after sending message to retrieve delivery status information. To every address in destination array specified while sending message corresponds one delivery status information. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Parameters:
    `mid` - MessageId
  Returns:
    Array of DeliveryStatusInfo
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `DeliveryStatusInfo`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### getMessageDeliveryStatus

    public abstract DeliveryStatusInfo[] getMessageDeliveryStatus(MessageId mid,
                                                                  java.lang.String username,
                                                                  java.lang.String password)
                                                           throws GatewayException

  Retrieve message delivery status information. Specify username and password for authentication. Use `MessageId` obtained after sending message to retrieve delivery status information. To every address in destination array specified while sending message corresponds one delivery status information. The method throws generic `GatewayException` which is parent of specific `exceptions` for various reasons.

  Parameters:
    `mid` - MessageId
    `username` - Authentication username
    `password` - Authentication password
  Returns:
    Array of DeliveryStatusInfo
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageId`, `DeliveryStatusInfo`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveSmsMessages

    public abstract ReceivedSms[] receiveSmsMessages(java.lang.String regId)
                                              throws GatewayException

  Retrieve SMS messages and delivery reports. Use default username and password for authentication. Only messages that fulfill criteria specified by registration identifier will be retrieved. For valid registration identifier values contact your mGw administrator.

  Note that some of the messages might be delivery reports. Use `MessageHelper` to separate delivery reports from messages.

  Parameters:
    `regId` - registration identifier
  Returns:
    array of received SMS messages
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageHelper`, `ReceivedSms`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveSmsMessages

    public abstract ReceivedSms[] receiveSmsMessages(java.lang.String regId,
                                                     java.lang.String username,
                                                     java.lang.String password)
                                              throws GatewayException

  Retrieve SMS messages. Specify username and password for authentication. Only messages that fulfill criteria specified by registration identifier will be retrieved. For valid registration identifier values contact your mGw administrator.

  Note that some of the messages might be delivery reports. Use `MessageHelper` to separate delivery reports from messages.

  Parameters:
    `regId` - registration identifier
    `username` - authentication username
    `password` - authentication password
  Returns:
    array of received SMS messages
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageHelper`, `ReceivedSms`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveMmsMessages

    public abstract ReceivedMms[] receiveMmsMessages(java.lang.String regId,
                                                     Priority priority)
                                              throws GatewayException

  Receive MMS messages and delivery reports. Client can use `MessageHelper` to separate delivery reports from messages.

  Parameters:
    `regId` - registration ID
    `priority` - message priority
  Returns:
    array of MMS messages (some of which might be delivery reports)
  Throws:
    `GatewayException`
  See Also:
    `MessageHelper`, `ReceivedMms`, `Priority`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### receiveMmsMessages

    public abstract ReceivedMms[] receiveMmsMessages(java.lang.String regId,
                                                     Priority priority,
                                                     java.lang.String username,
                                                     java.lang.String password)
                                              throws GatewayException

  Retrieve MMS messages. Specify username and password for authentication. Only messages that fulfill criteria specified by registration identifier will be retrieved. For valid registration identifier values contact your mGw administrator. If priority is specified messages with same or higher priority than specified will be retrieved. Since priority is optional value if not specified it is the same as specifying LOW priority.

  Note that some of the messages might be delivery reports. Use `MessageHelper` to separate delivery reports from messages.

  Parameters:
    `regId` - registration identifier
    `priority` - message priority
    `username` - authentication username
    `password` - authentication password
  Returns:
    array of received MMS messages and delivery reports
  Throws:
    `GatewayException` - Generic exception base class for all exceptions.
  See Also:
    `MessageHelper`, `ReceivedMms`, `Priority`, `GatewayException`, `hr.tis.mgw.client.exceptions`

### registerMessageListener

    public abstract void registerMessageListener(java.lang.String regId,
                                                 MessageListener2 listener)

  Register message listener defined with registration identifier to asynchronously accept incoming messages. Use default username and password to retrieve MMS message parts. Implementation of MessageListener2 interface will receive sent messages. For possible registration identifier values sent by mGw contact your mGw administrator. To accept all registration identifiers sent by mGw in one message listener use REG_ID_ANY for registration identifier.

  For details about registration process and restrictions check `MessageListener2` description.

  Parameters:
    `regId` - Registration Identifier
    `listener` - Message listener accepting received messages
  See Also:
    `MessageListener2`

### registerMessageListener

    public abstract void registerMessageListener(java.lang.String regId,
                                                 MessageListener2 listener,
                                                 java.lang.String username,
                                                 java.lang.String password)

  Register message listener defined with registration identifier to asynchronously accept incoming messages. Specify username and password to retrieve MMS message parts. Implementation of MessageListener2 interface will receive sent messages. For possible registration identifier values sent by mGw contact your mGw administrator. To accept all registration identifiers sent by mGw in one message listener use REG_ID_ANY for registration identifier.

  For details about registration process and restrictions check `MessageListener2` description.

  Parameters:
    `regId` - Registration Identifier
    `listener` - Message listener accepting received messages
    `username` - Authentication username
    `password` - Authentication password

### cancelMessageListenerRegistration

    public abstract void cancelMessageListenerRegistration(java.lang.String regId)

  Cancel message listener defined with registration identifier.

  Parameters:
    `regId` - Registration Identifier

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.